Bug Hunting Session
Bug 32936 - Tahoma shouldn't be the default font for Hebrew
Summary: Tahoma shouldn't be the default font for Hebrew
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Andras Timar
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-09 06:06 UTC by Amir E. Aharoni
Modified: 2011-12-25 12:32 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Amir E. Aharoni 2011-01-09 06:06:22 UTC
The default font for Hebrew text in Open/Libre Office on Windows is Tahoma. It shouldn't be - it's a reasonable sans-serif font for dialogs and menus, but for a document's body text the default should be a serif font. For Latin it's Times New Roman. Microsoft's Times New Roman has a Hebrew part, which is a reasonable and common font for documents in Hebrew. That is the default in Microsoft Office, too.

(Of course it would be better to have a uniform and freely licensed font in LibO on all platforms, but until that happens, if Times New Roman is good for Latin, it should be good for Hebrew, too.)
Comment 1 Andras Timar 2011-04-30 10:40:39 UTC
See http://opengrok.libreoffice.org/xref/libs-core/officecfg/registry/data/org/openoffice/VCL.xcu#478
Please identify what need to be changed and propose the font names in the preferred order. Thanks!
Comment 2 Lior Kaplan 2011-12-02 02:04:41 UTC
Updated link, as there were some changes in the source tree (libs-core -> core):
http://opengrok.libreoffice.org/xref/core/officecfg/registry/data/org/openoffice/VCL.xcu#478
Comment 3 Lior Kaplan 2011-12-24 13:39:26 UTC
A friend with 3.5.0 beta1 says he got times new roman as the default Hebrew font on Windows, not Tahoma. For Linux that's Nachlieli (if culmus fonts are installed).
Comment 4 Lior Kaplan 2011-12-25 09:04:29 UTC
Testing on Windows 7 (without office) gave me Tahoma for Hebrew. Removing the font from the font list on main.xcd changed it to Miriam.
Comment 5 Lior Kaplan 2011-12-25 12:32:28 UTC
Fixed in master the libreoffice-3-5 branch. Will verify in 3.5.0 beta3.